%%% Zoom In d'un facteur alpha
%%% !!!! function renamed from im_zoom to zoom_in

function imZ = zoom_in(im,alpha)

[m,n,c] = size(im);
m1 = alpha*m;
n1 = alpha*n;

% fft center
xc = ceil((m1+1)/2);
yc = ceil((n1+1)/2);

imZ = zeros(m1,n1,c);

for i=1:c
    
    % input im fft en 2D for each color channel
    fftim = fft2(im(:,:,i));
    % upsampled image fft in 2D
    fftimZ = zeros(m1,n1);
    fftimZ(xc-floor(m/2):xc+(floor((m-1)/2)),yc-floor(n/2):yc+(floor((n-1)/2))) = fftshift(fftim);
    imZ(:,:,i) = ifft2(fftshift(fftimZ));

end

imZ = alpha^2*imZ;
imZ = real(imZ);