function T = initializeTexture(I0, wp, wo, NN, r, pnorms_sq, x, y)

[M,N,C] = size(I0);
Ms = round(r*M);
Ns = round(r*N);
step = wp-wo;

prow = ceil((Ns-wo)/step);% patches per row
pcol = ceil((Ms-wo)/step);% patches per row

Ms = pcol*wp - (pcol-1)*wo;
Ns = prow*wp - (prow-1)*wo;

T = zeros(Ms,Ns,C);

patch0 = I0(x:x+wp-1,y:y+wp-1,:);
Sp=match_patch(I0,patch0,NN,pnorms_sq);

Q = LGmodel(Sp, wp, I0);

T(1:wp, 1:wp,:) = Q;

end