% main multiscale locally gaussian
% 
clear all
close all

itnum = 1;
r = 1;%output/input ratio
m = 50;% number of neares neighbours
n = 20;% patch size
o = 0.5;% overlap size
K = 3;% number of scales for multiscale texture synthesis
          
% read input sample
u0 = double(imread('~/Documents/phd/textures-dataBase/mixed-textures/aux/wall1013.png'));
[M,N,C] = size(u0);
% initialize seed patch position
x0 = ceil(rand*(M*2^(-(K-1))-n+1));
y0 = ceil(rand*(N*2^(-(K-1))-n+1));
tic
w = synthesis_MSLG(u0,[x0,y0],r,n,m,K,o);
toc
figure; imshow(uint8(w))