%% norm of all admissible patches in I
%  of shape as in Q (mask)

function norms = norm_patchesNotSquare(I,wp,Q)

[M,N,~] = size(I);

Qext = zeros(M,N);
Qext(1:wp,1:wp) = Q;
fft_Qext = fft2(Qext);

I = rot90(I,2);% symetrization of A; B(x,y) = A(x,y)
fft_I = fft2(I);

norms = rot90(ifft2(fft_Qext.*fft_I),2);% negative values are due to 
                                        % numerical errors
norms = max(norms,0);

end